Package rainbowPackage

# Class ColorSlider

java.lang.Object
rainbowPackage.ColorSlider

public class ColorSlider extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `alpha`
  `int`
  `blue`
  `double`
  `colorBeingChecked`
  `javafx.scene.paint.Color`
  `fxColor`
  `int`
  `green`
  `int`
  `red`
  `double[]`
  `rgb`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorSlider()`
  `ColorSlider(double[] RGB)`
  `ColorSlider(javafx.scene.paint.Color FXColor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `ColorSliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, ColorSlider ColorBefore, ColorSlider ColorAfter)`
  `Object`
  `ColorSliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, ColorSlider ColorBefore, ColorSlider ColorAfter, int Gradations)`
  `Object`
  `ColorSliderFunction(double ColorInterval, double Loc, ColorSlider ColorBefore, ColorSlider ColorAfter)`
  `Object`
  `ColorSliderFunction(double ColorInterval, double Loc, ColorSlider ColorBefore, ColorSlider ColorAfter, int Gradations)`
  `Boolean`
  `ColorTooSimilarFunction(int Color1, int Color2)`
  `Boolean`
  `ColorTooSimilarFunction(int Color1, int Color2, double ColorDifference)`
  `Boolean`
  `ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2)`
  `Boolean`
  `ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2, double ColorDifference)`
  `Boolean`
  `ColorTooSimilarFunction(ColorSlider Color1, ColorSlider Color2)`
  `Boolean`
  `ColorTooSimilarFunction(ColorSlider Color1, ColorSlider Color2, double ColorDifference)`
  `double`
  `ColorValueFitter(double ColorToBeChecked)`
  `Object`
  `get()`
  `void`
  `set(double[] RGB)`
  `void`
  `set(javafx.scene.paint.Color FXColor)`
  `javafx.scene.paint.Color`
  `ToFXColor()`
  `javafx.scene.paint.Color`
  `ToFXColor(double[] RGB)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### rgb

    public double[] rgb

  - ### fxColor

    public javafx.scene.paint.Color fxColor

  - ### colorBeingChecked

    public double colorBeingChecked

  - ### alpha

    public int alpha

  - ### red

    public int red

  - ### green

    public int green

  - ### blue

    public int blue

- ## Constructor Details

  - ### ColorSlider

    public ColorSlider()

  - ### ColorSlider

    public ColorSlider(javafx.scene.paint.Color FXColor)

  - ### ColorSlider

    public ColorSlider(double[] RGB)

- ## Method Details

  - ### ColorSliderFunction

    public Object ColorSliderFunction(double ColorInterval, double Loc, ColorSlider ColorBefore, ColorSlider ColorAfter)

  - ### ColorSliderFunction

    public Object ColorSliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, ColorSlider ColorBefore, ColorSlider ColorAfter)

  - ### ColorSliderFunction

    public Object ColorSliderFunction(double ColorInterval, double Loc, ColorSlider ColorBefore, ColorSlider ColorAfter, int Gradations)

  - ### ColorSliderFunction

    public Object ColorSliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, ColorSlider ColorBefore, ColorSlider ColorAfter, int Gradations)

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor()

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor(double[] RGB)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(int Color1, int Color2)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(ColorSlider Color1, ColorSlider Color2)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(int Color1, int Color2, double ColorDifference)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2, double ColorDifference)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(ColorSlider Color1, ColorSlider Color2, double ColorDifference)

  - ### ColorValueFitter

    public double ColorValueFitter(double ColorToBeChecked)

  - ### set

    public void set(double[] RGB)

  - ### set

    public void set(javafx.scene.paint.Color FXColor)

  - ### get

    public Object get()